scmEditbox = {}

local function toggle(...)
	for i = 1, select("#", ...) do
		local r = select(i, ...)
		if r and r.GetObjectType and r:GetObjectType() == "Texture" then
			if r:IsShown() then
				r:Hide()
			else
				r:Show()
			end
		end
	end
end

for i = 1, NUM_CHAT_WINDOWS do
	local eb = _G["ChatFrame"..i.."EditBox"]
	eb:ClearAllPoints()
	eb:SetPoint("BOTTOMLEFT",  "ChatFrame"..i, "TOPLEFT",  -5, 0)
	eb:SetPoint("BOTTOMRIGHT", "ChatFrame"..i, "TOPRIGHT", 5, 0)
	toggle(eb:GetRegions())
	eb:SetAltArrowKeyMode(false)
end

